# Contributing

Suzieq is an open source project focused on IP Network Observability.


We are just getting started with Suzieq and we appreciate any participation and collaboration.

The number one way we'd like your help is to try out Suzieq and tell us what would make it more 
effective for you. There are many directions we can take Suzieq, any input would help a lot. 

[Add an issue](https://github.com/netenglabs/suzieq/issues/new) or 
discuss ideas at https://groups.google.com/forum/#!forum/netenglabs-suzieq. Issues aren't for 
troubleshooting or problem solving, they are for bugs and feature requests. 

We've only added structure to this project as we need it. If you see that we are missing something
obvious and/or helpful, let us know. If you have ideas on how to make the project better, let us know.

We could use help in documentation, especially around structure.

There's always a need for better testing. We've focused on end-to-end testing and don't have as much
unit testing as we'd like. Any thoughts or contributions here would help a lot.

## Adding or Changing Code

When making a change to Suzieq, first start by adding an issue to discuss the work.

After discussion, [fork Suzieq](https://help.github.com/articles/fork-a-repo), make a branch,
run tests to make sure everything is in place and working correctly. The tests
are run in the main *suzieq* directory.

``` bash
pytest
```

Implement your change and run tests again.

[make a pull request](https://help.github.com/articles/creating-a-pull-request)

## Filing Bugs

Please include as much useful information as possible. 
[Add an issue](https://github.com/netenglabs/suzieq/issues/new)

## Generating test data

If you've changed the way that data gets processed, start https://github.com/netenglabs/suzieq/blob/master/docs/developer/updating_test_data.md

## License

By submitting a pull request for this project, you are agreeing to license 
your contribution and to grant a perpetual, world-wide, non-exclusive, no-charge, 
royalty-free, irrevocable copyright license to Suzieq and any derivative works.

You are also representing that you are in a legal position to make this agreement, 
on behalf of yourself and your employer as applicable. If the contribution 
is itself derivative of other works, you are certifying that the other projects have 
licensing requirements compatible with the license of this project.
